from Globals import DTMLFile, Persistent, InitializeClass
import OFS
import Acquisition
import AccessControl
import base
import session

def manage_addSessionFolder(self, id=None, REQUEST=None):
    """Add a Session Folder."""
    if id is None:
        id = self.get_unique_id()
    session_folder_ = session_folder(id)
    self._setObject(id, session_folder_)
    if REQUEST is not None:
        REQUEST.RESPONSE.redirect(self.absolute_url())
    else:
        return session_folder_

class session_folder(
    OFS.Folder.Folder,
    Persistent,
    Acquisition.Implicit,
    AccessControl.Role.RoleManager,
    base.base
    ): 
    """Session folder.

    Used to group sessions.
    """

    title = 'No title'
    meta_type = 'Session Folder'
    security = AccessControl.ClassSecurityInfo()

    security.declareProtected('Use Issue Handler', 'index_html')
    index_html = DTMLFile('session_folder_index', globals())
    security.declareProtected('Use Issue Handler', 'manage_addSession')
    manage_addSession = session.manage_addSession
    security.declarePrivate('remote')
    remote = DTMLFile('session_folder_remote', globals())

    all_meta_types = [
        {'visibility': 'Global',
         'interfaces': [],
         'action': 'manage_add_issue',
         'permission': 'Add sessions',
         'name': 'Session',
         'product': 'Issue Handler',
         'instance': ''}
    ]

    def __init__(self, id, title=''):
        self.id = id
        self.title = title

InitializeClass(session_folder)
